### Constructor

# Ide Workbench new

#### Declaration

    IdeWorkbench*
    ide_workbench_new (
      void
    )

#### Description

Creates a new `IdeWorkbench`.

This does not create any windows, you’ll need to request that a workspace be created based on the kind of workspace you want to display to the user.

Available since: | 3.32

#### Return value

Returns: | `IdeWorkbench`
| An `IdeWorkbench`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.